<?php
header('Content-Type: application/json');
require_once __DIR__ . '/../config/pasaran_config.php';

if (isset($_GET['force_refresh']) && $_GET['force_refresh'] === '1') {
	$response = [];
	$now = new DateTime();

	foreach ($pasaranConfig as $pasaran => $config) {
		$openTime = new DateTime($now->format('Y-m-d') . ' ' . $config['open_time']);
		$currentDay = $now->format('l');

		if (!in_array($currentDay, $config['days'])) {
			$response[$pasaran] = ['status' => 'Tutup'];
			continue;
		}

		if ($now > $openTime) {
			$openTime->modify('+1 day');
		}

		$response[$pasaran] = [
			'next_open' => $openTime->format('Y-m-d H:i:s'),
			'status' => ($now >= $openTime) ? 'Buka' : 'Menunggu'
		];
	}

	echo json_encode($response);
	exit;
}

echo json_encode(['last_updated' => date('Y-m-d H:i:s')]);
