<?php


header('Content-Type: application/json');

$jsonFile = __DIR__ . '/../results.json';
if (!file_exists($jsonFile)) {
	echo json_encode(['error' => 'File JSON tidak ditemukan']);
	exit;
}

$results = json_decode(file_get_contents($jsonFile), true);

foreach ($results as &$result) {
	$date = DateTime::createFromFormat('Y-m-d', $result['date']);
	$result['formatted_date'] = $date->format('d-m-Y');
}

usort($results, function ($a, $b) {
	$dateCompare = strcmp($b['date'], $a['date']);
	if ($dateCompare !== 0) return $dateCompare;
	return strcmp($b['time'], $a['time']);
});

$query = isset($_GET['query']) ? strtolower($_GET['query']) : '';
if ($query) {
	$results = array_filter($results, function ($result) use ($query) {
		return strpos(strtolower($result['pasaran']), $query) !== false ||
			strpos($result['date'], $query) !== false ||
			strpos($result['formatted_date'], $query) !== false ||
			strpos(json_encode($result['result']), $query) !== false;
	});
}

echo json_encode(array_values($results));
